# Gtk::AppChooser Class Reference

This interface can be implemented by widgets which allow the user to choose an application (typically for the purpose of opening a file). More...

Inheritance diagram for Gtk::AppChooser:
[legend]
Collaboration diagram for Gtk::AppChooser:
[legend]

List of all members.

## Public Member Functions

virtual | ~AppChooser ()
GtkAppChooser* | gobj ()
| Provides access to the underlying C GObject.
const GtkAppChooser* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Gio::AppInfo > | get_app_info ()
Glib::RefPtr< const Gio::AppInfo > | get_app_info () const
Glib::ustring | get_content_type () const
void | refresh ()
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_content_type () const
| The content type used by the open with object.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::AppChooser > | wrap (GtkAppChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This interface can be implemented by widgets which allow the user to choose an application (typically for the purpose of opening a file).

The main objects that implement this interface are AppChooserWidget, AppChooserDialog and AppChooserButton.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::AppChooser::~AppChooser | ( | ) | `[virtual]`

## Member Function Documentation

static void Gtk::AppChooser::add_interface | ( | GType | gtype_implementer ) | `[static]`

Glib::RefPtr<Gio::AppInfo> Gtk::AppChooser::get_app_info | ( | ) |

Glib::RefPtr<const Gio::AppInfo> Gtk::AppChooser::get_app_info | ( | ) | const

Glib::ustring Gtk::AppChooser::get_content_type | ( | ) | const

GtkAppChooser* Gtk::AppChooser::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::AppChooserButton, Gtk::AppChooserDialog, and Gtk::AppChooserWidget.

const GtkAppChooser* Gtk::AppChooser::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::AppChooserButton, Gtk::AppChooserDialog, and Gtk::AppChooserWidget.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AppChooser::property_content_type | ( | ) | const

The content type used by the open with object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::AppChooser::refresh | ( | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::AppChooser > wrap | ( | GtkAppChooser * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/appchooser.h